Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util
Class PrefixMapImpl

    java.lang.Object
      com.servingxml.util.PrefixMapImpl

All Implemented Interfaces:
  PrefixMap

    public class PrefixMapImpl

extends java.lang.Object
implements PrefixMap

Nested Class Summary
`static class` | `PrefixMapImpl.PrefixMappingImpl`

Nested classes/interfaces inherited from interface com.servingxml.util.PrefixMap
`PrefixMap.PrefixMapping`

Constructor Summary
`PrefixMapImpl()`
`PrefixMapImpl(PrefixMap tail)`

Method Summary
`boolean` | `containsPrefixMapping(java.lang.String prefix, java.lang.String namespaceUri)`
`PrefixMap.PrefixMapping[]` | `getLocalPrefixDeclarations()`
`java.lang.String` | `getNamespaceUri(java.lang.String prefix)`
`PrefixMap` | `getParent()`
`java.lang.String` | `getPrefix(java.lang.String namespaceUri)`
`PrefixMap.PrefixMapping[]` | `getPrefixDeclarations()`
`void` | `getPrefixDeclarations(java.util.Set<PrefixMap.PrefixMapping> prefixDeclarations)`
`java.lang.String` | `getPrefixDeclarationString()` Creates a list of all namespaces declared for the current scope, separated by spaces
`void` | `setPrefixMapping(java.lang.String prefix, java.lang.String namespaceUri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrefixMapImpl

    public PrefixMapImpl()

### PrefixMapImpl

    public PrefixMapImpl(PrefixMap tail)

Method Detail

### containsPrefixMapping

    public boolean containsPrefixMapping(java.lang.String prefix,
                                         java.lang.String namespaceUri)

  Specified by:
    `containsPrefixMapping` in interface `PrefixMap`

### setPrefixMapping

    public void setPrefixMapping(java.lang.String prefix,
                                 java.lang.String namespaceUri)

### getNamespaceUri

    public java.lang.String getNamespaceUri(java.lang.String prefix)

  Specified by:
    `getNamespaceUri` in interface `PrefixMap`

### getPrefix

    public java.lang.String getPrefix(java.lang.String namespaceUri)

  Specified by:
    `getPrefix` in interface `PrefixMap`

### getPrefixDeclarationString

    public java.lang.String getPrefixDeclarationString()

  Description copied from interface: `PrefixMap`
  Creates a list of all namespaces declared for the current scope, separated by spaces

  Specified by:
    `getPrefixDeclarationString` in interface `PrefixMap`
  Returns:
    the list of namespaces

### getLocalPrefixDeclarations

    public PrefixMap.PrefixMapping[] getLocalPrefixDeclarations()

  Specified by:
    `getLocalPrefixDeclarations` in interface `PrefixMap`

### getParent

    public PrefixMap getParent()

  Specified by:
    `getParent` in interface `PrefixMap`

### getPrefixDeclarations

    public PrefixMap.PrefixMapping[] getPrefixDeclarations()

  Specified by:
    `getPrefixDeclarations` in interface `PrefixMap`

### getPrefixDeclarations

    public void getPrefixDeclarations(java.util.Set<PrefixMap.PrefixMapping> prefixDeclarations)

  Specified by:
    `getPrefixDeclarations` in interface `PrefixMap`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD